%global srcname rows

Name:           python-%{srcname}
Version:        0.3.1
Release:        2%{?dist}
Summary:        A common, beautiful interface to tabular data, no matter the format

License:        GPLv3+
URL:            https://github.com/turicas/rows
Source0:        %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

# Required for tests: https://github.com/turicas/rows/issues/193
BuildRequires:  glibc-langpack-pt

%global _description \
No matter in which format your tabular data is: rows will import it,\
automatically detect types and give you high-level Python objects so\
you can start working with the data instead of trying to parse it. It\
is also locale-and-unicode aware.

%description %{_description}

%package -n python2-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{srcname}}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-nose
BuildRequires:  python2-mock
BuildRequires:  python2-six
Requires:       python2-six
# cli
BuildRequires:  python2-requests
BuildRequires:  python-click
Requires:       python2-requests
Requires:       python-click
# csv
BuildRequires:  python2-unicodecsv
Requires:       python2-unicodecsv
# html, ods, xpath
BuildRequires:  python-lxml
Recommends:     python-lxml
# xls
BuildRequires:  python2-xlrd
BuildRequires:  python2-xlwt
Recommends:     python2-xlrd
Recommends:     python2-xlwt
# detect
Recommends:     python-magic

%description -n python2-%{srcname} %{_description}

Python 2 version.

%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose
BuildRequires:  python3-mock
BuildRequires:  python3-six
Requires:       python3-six
# cli
BuildRequires:  python3-requests
BuildRequires:  python3-click
Requires:       python3-requests
Requires:       python3-click
# csv
BuildRequires:  python3-unicodecsv
Requires:       python3-unicodecsv
# html, ods, xpath
BuildRequires:  python3-lxml
Recommends:     python3-lxml
# xls
BuildRequires:  python3-xlrd
BuildRequires:  python3-xlwt
Recommends:     python3-xlrd
Recommends:     python3-xlwt
# detect
Recommends:     python3-magic

%description -n python3-%{srcname} %{_description}

Python 3 version.

%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install
install -Dpm0644 %{srcname}.1.txt %{buildroot}%{_mandir}/man1/%{srcname}.1

%check
EXCLUDE_ARG=""
# We don't package xlsx and parquet things yet
EXCLUDE_ARG="$EXCLUDE_ARG -e tests_plugin_parquet -e tests_plugin_xlsx"
# AssertionError: 'ISO-8859-8' != u'iso-8859-1'
# https://github.com/turicas/rows/issues/194
EXCLUDE_ARG="$EXCLUDE_ARG -e test_local_file_sample_size"
# UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 293: ordinal not in range(128)
# https://github.com/turicas/rows/issues/195
EXCLUDE_ARG="$EXCLUDE_ARG -e tests_plugin_json"
nosetests-%{python2_version} -v $EXCLUDE_ARG
nosetests-%{python3_version} -v $EXCLUDE_ARG

%files -n python2-%{srcname}
%license LICENSE
%doc AUTHORS.md README.md
%{python2_sitelib}/%{srcname}-*.egg-info/
%{python2_sitelib}/%{srcname}/

%files -n python3-%{srcname}
%license LICENSE
%doc AUTHORS.md README.md
%{python3_sitelib}/%{srcname}-*.egg-info/
%{python3_sitelib}/%{srcname}/

%{_bindir}/%{srcname}
%{_mandir}/man1/%{srcname}.1*

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Jun 06 2017 William Moreno <williamjmorenor@gmail.com> - 0.3.1-1
- Update to 0.3.1 upstream release

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.3.0-3
- Rebuild for Python 3.6

* Mon Sep 05 2016 Igor Gnatenko <ignatenko@redhat.com> - 0.3.0-2
- Run locale-specific tests

* Sat Sep 03 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.3.0-1
- Update to 0.3.0
- Add python3 subpackage
- Other fixes

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Sep 28 2015 Fedora <williamjmorenor@gmail.com> - 0.1.1-1
- Initial Packaging
